#!/usr/bin/env python3
# -*- coding: utf-8 -*-

from gi import require_version
require_version("Gtk", "3.0")

from gi.repository import Gtk

class PreferencesWindow(Gtk.Dialog):

    def __init__(self, app = None, *args, **kwargs):
        super().__init__(*args, **kwargs)

        if app is not None:
            self.app = app

        self.connect("response", self.dialog_response)

        """
        Build Settings
        """
        self.set_default_size(480, 400)
        self.set_modal(True)
        self.set_position(Gtk.WindowPosition.CENTER_ON_PARENT)

        """
        Build Window
        """
        if self.app.csd is True:
            self.headerbar = Gtk.HeaderBar()
            self.headerbar.set_title("Preferences")
            self.headerbar.set_show_close_button(True)
            self.set_titlebar(self.headerbar)
        else:
            self.set_title("Preferences")

    def dialog_response(self, dialog, response):
        dialog.destroy()

    def show(self):
        self.show_all()
